Zum Hauptinhalt springen
GET
/
v2
/
enterprise
/
organizations
/
{org_id}
/
sessions
/
insights
Organisationssitzungsdetails auflisten
curl --request GET \
  --url https://api.devin.ai/v2/enterprise/organizations/{org_id}/sessions/insights \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v2/enterprise/organizations/{org_id}/sessions/insights"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v2/enterprise/organizations/{org_id}/sessions/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "has_more": true,
  "items": [
    {
      "acus_consumed": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "initial_user_message": "<string>",
      "org_id": "<string>",
      "pull_requests": [
        {
          "url": "<string>",
          "state": "<string>"
        }
      ],
      "session_analysis": {
        "suggested_prompt": {
          "feedback_items": [
            {
              "details": "<string>",
              "excerpt": "<string>",
              "issue_id": "<string>",
              "summary": "<string>"
            }
          ],
          "original_prompt": "<string>",
          "suggested_prompt": "<string>"
        },
        "action_items": [],
        "issues": [],
        "timeline": []
      },
      "session_id": "<string>",
      "tags": [
        "<string>"
      ],
      "updated_at": "2023-11-07T05:31:56Z",
      "url": "<string>",
      "title": "<string>",
      "user_id": "<string>"
    }
  ],
  "limit": 123,
  "skip": 123,
  "total": 123,
  "next_cursor": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
Erfordert einen persönlichen API key eines Enterprise-Administrators. Gibt eine paginierte Liste aller Devin-Sitzungen für eine bestimmte Organisation innerhalb Ihres Enterprise-Kontos zurück, einschließlich umfassender Sitzungsanalyse, erster Nutzernachrichten, Informationen zu Pull Requests (PRs) und ACU-Verbrauchsdaten. Dieser Endpunkt stellt ausführlichere Informationen bereit als der grundlegende Endpunkt Organisationssitzungen auflisten.

Autorisierungen

Authorization
string
header
erforderlich

Persönlicher API Key (apk_user_*) nur für Enterprise-Administratoren

Pfadparameter

org_id
string
erforderlich

Abfrageparameter

skip
integer
Standard:0
Erforderlicher Bereich: x >= 0
limit
integer
Standard:100
Erforderlicher Bereich: 1 <= x <= 200
created_date_from
string<date-time> | null
created_date_to
string<date-time> | null
updated_date_from
string<date-time> | null
updated_date_to
string<date-time> | null
org_ids
string[] | null
user_ids
string[] | null
session_ids
string[] | null

Antwort

Erfolgreiche Antwort

has_more
boolean
erforderlich
items
SessionDetailResponse · object[]
erforderlich
limit
integer
erforderlich
skip
integer
erforderlich
total
integer
erforderlich
next_cursor
integer | null